using System;
using System.Collections.Generic;
using System.Text;
using Mall.Common.Plugin;

namespace Mall.Common.Enum.MiAi
{
    public enum MessageTypeEnum
    {
        /// <summary>
        /// 圈子点赞
        /// </summary>
        [EnumField("圈子点赞")]
        CircleLike = 1,
        /// <summary>
        /// 圈子回复
        /// </summary>
        [EnumField("圈子回复")]
        CircleReply = 2,
        /// <summary>
        /// 拼拼报名
        /// </summary>
        [EnumField("拼拼报名")]
        SpellEnroll = 3,
        /// <summary>
        /// 拼拼取消报名
        /// </summary>
        [EnumField("拼拼取消报名")]
        SpellEnrollCancel = 4,
        /// <summary>
        /// 拼拼评论
        /// </summary>
        [EnumField("拼拼评论")]
        SpellComment = 5,
        /// <summary>
        /// 拼拼回复
        /// </summary>
        [EnumField("拼拼回复")]
        SpellReply = 6,
        /// <summary>
        /// 谁查看了我
        /// </summary>
        [EnumField("谁查看了我")]
        Look = 7,
        /// <summary>
        /// 活动报名取消
        /// </summary>
        [EnumField("活动报名取消")]
        ActivityCancel = 8,
        /// <summary>
        /// 违规通知
        /// </summary>
        [EnumField("违规通知")]
        ViolationNotice = 9,

    }
}
